
Ceph - Bug #54059

[crypto/qat][compressor] QAT driver cannot work with encryption and compression for RGW

01/30/2022 02:32 AM - miaomiao liu

Status: Resolved % Done: 100%

Priority: Normal Spent time: 0.00 hour

Assignee: miaomiao liu   

Category:    

Target version: v17.0.0   

Source: Community (dev) Affected Versions: v17.0.0

Tags: backport_processed ceph-qa-suite:  

Backport:  Pull request ID: 44608

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

./do_cmake.sh -DWITH_QAT=ON -DWITH_QATZIP=ON

cd build/ & ninja -j64

ninja: error: 'qatdrv/src/QatDrv/build/libqat_s.so', needed by 'lib/libceph_crypto_qat.so.1.0.0', missing and no known rule to make it

./do_cmake.sh -DWITH_QAT=ON -DWITH_QATZIP=ON

cd build/ & ninja -j64

CMake Error at /usr/share/cmake-3.16/Modules/FindPackageHandleStandardArgs.cmake:146 (message):

Could NOT find qatzip (missing: QATZIP_LIBRARIES)

 

Call Stack (most recent call first):

/usr/share/cmake-3.16/Modules/FindPackageHandleStandardArgs.cmake:393 (_FPHSA_FAILURE_MESSAGE)

 

cmake/modules/Findqatzip.cmake:13 (find_package_handle_standard_args)

 

CMakeLists.txt:281 (find_package)

Related issues:

Copied to Ceph - Backport #54061: pacific: latest QAT driver cannot work with... Rejected

Copied to Ceph - Backport #54429: quincy: [crypto/qat][compressor] QAT driver... Resolved

History

#1 - 01/30/2022 04:47 AM - Hualong Feng

- Subject changed from pacific: latest QAT driver cannot work with encryption and compression for RGW to latest QAT driver cannot work with

encryption and compression for RGW

- Status changed from New to Pending Backport

#2 - 01/30/2022 04:50 AM - Hualong Feng

- Description updated
#3 - 01/30/2022 04:52 AM - Hualong Feng

- Target version set to v17.0.0

- Source set to Community (dev)

- Backport set to 54060

- Affected Versions v17.0.0 added

#4 - 01/30/2022 04:53 AM - Hualong Feng

- Backport changed from 54060 to https://tracker.ceph.com/issues/54060

#5 - 01/30/2022 04:54 AM - Hualong Feng

- Related to Backport #54060: quincy: latest QAT driver cannot work with encryption and compression for RGW added

#6 - 01/30/2022 04:55 AM - Hualong Feng

- Backport changed from https://tracker.ceph.com/issues/54060 to quincy,pacific

#7 - 01/30/2022 05:00 AM - Backport Bot

- Copied to Backport #54061: pacific: latest QAT driver cannot work with encryption and compression for RGW added

#8 - 01/30/2022 05:00 AM - Backport Bot

- Copied to Backport #54062: quincy: latest QAT driver cannot work with encryption and compression for RGW added

#9 - 01/30/2022 05:54 AM - CONGMIN YIN

- Subject changed from latest QAT driver cannot work with encryption and compression for RGW to [crypto/qat][compressor] QAT driver cannot work

with encryption and compression for RGW

- Category deleted (common)

#10 - 02/25/2022 02:17 AM - Hualong Feng

- Related to deleted (Backport #54060: quincy: latest QAT driver cannot work with encryption and compression for RGW)

#11 - 03/01/2022 02:42 AM - Hualong Feng

- Copied to deleted (Backport #54062: quincy: latest QAT driver cannot work with encryption and compression for RGW)

#12 - 03/01/2022 02:45 AM - Backport Bot

- Copied to Backport #54429: quincy: [crypto/qat][compressor] QAT driver cannot work with encryption and compression for RGW added

#13 - 03/01/2022 02:53 AM - Hualong Feng

- Backport deleted (quincy,pacific)

#14 - 08/08/2022 04:29 PM - Backport Bot

- Tags set to backport_processed

#15 - 03/27/2024 05:11 AM - Konstantin Shalygin

- Status changed from Pending Backport to Resolved

- Assignee set to miaomiao liu

- % Done changed from 0 to 100
